com.sun.java.xml.ns.javaee

## Class FilterMappingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.FilterMappingType

-     public class FilterMappingType
      extends Object

  Declaration of the filter mappings in this web application is done by using filter-mappingType. The container uses the filter-mapping declarations to decide which filters to apply to a request, and in what order. The container matches the request URI to a Servlet in the normal way. To determine which filters to apply it matches filter-mapping declarations either on servlet-name, or on url-pattern for each filter-mapping element, depending on which style is used. The order in which filters are invoked is the order in which filter-mapping declarations that match a request URI for a servlet appear in the list of filter-mapping elements.The filter-name value must be the value of the filter-name sub-elements of one of the filter declarations in the deployment descriptor.

  Java-Klasse für filter-mappingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="filter-mappingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="filter-name" type="{http://java.sun.com/xml/ns/javaee}filter-nameType"/>
               <choice maxOccurs="unbounded">
                 <element name="url-pattern" type="{http://java.sun.com/xml/ns/javaee}url-patternType"/>
                 <element name="servlet-name" type="{http://java.sun.com/xml/ns/javaee}servlet-nameType"/>
               </choice>
               <element name="dispatcher" type="{http://java.sun.com/xml/ns/javaee}dispatcherType" maxOccurs="5" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DispatcherType>` | `dispatcher`
    `protected FilterNameType` | `filterName`
    `protected String` | `id`
    `protected List<Object>` | `urlPatternOrServletName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterMappingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DispatcherType>` | `getDispatcher()` Gets the value of the dispatcher property.
    `FilterNameType` | `getFilterName()` Ruft den Wert der filterName-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<Object>` | `getUrlPatternOrServletName()` Gets the value of the urlPatternOrServletName property.
    `void` | `setFilterName(FilterNameType value)` Legt den Wert der filterName-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filterName

          protected FilterNameType filterName

    - #### urlPatternOrServletName

          protected List<Object> urlPatternOrServletName

    - #### dispatcher

          protected List<DispatcherType> dispatcher

    - #### id

          protected String id

  - ### Constructor Detail

    - #### FilterMappingType

          public FilterMappingType()

  - ### Method Detail

    - #### getFilterName

          public FilterNameType getFilterName()

      Ruft den Wert der filterName-Eigenschaft ab.
      Returns:
        possible object is `FilterNameType`

    - #### setFilterName

          public void setFilterName(FilterNameType value)

      Legt den Wert der filterName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FilterNameType`

    - #### getUrlPatternOrServletName

          public List<Object> getUrlPatternOrServletName()

      Gets the value of the urlPatternOrServletName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the urlPatternOrServletName property.

      For example, to add a new item, do as follows:

              getUrlPatternOrServletName().add(newItem);

      Objects of the following type(s) are allowed in the list `UrlPatternType` `ServletNameType`

    - #### getDispatcher

          public List<DispatcherType> getDispatcher()

      Gets the value of the dispatcher property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dispatcher property.

      For example, to add a new item, do as follows:

              getDispatcher().add(newItem);

      Objects of the following type(s) are allowed in the list `DispatcherType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.